IM_BUILDLUT(3)

NAME
im_buildlut - build a LUT from a set of x/y points

SYNOPSIS
#include <vips/vips.h> int
im_buildlut( DOUBLEMASK *input, IMAGE *output )

DESCRIPTION
im_buildlut(3) constructs a LUT, interpolating a set of x/y points. Interpolation is strictly piecewise linear. For example, if the input is:
  12 100
  14 110
  18 120 we generate
  100 (12)
  105
  110
  112.5
  115
  117.5 (17) the x axis (12 .. 17) is implied. The x/y points don't need to be sorted: we do that. You can have several Ys ... each becomes a band in the output LUT.

RETURN VALUE
-1 on error, otherwise 0

SEE ALSO
im_invertlut(3), im_identity(3).

COPYRIGHT
2006, Imperial College